package com.yidianling.uikit.business.session.view.question

import com.yidianling.uikit.custom.http.response.question.OptionsBean
import com.yidianling.uikit.custom.http.response.question.QuestionsBean

interface QuestionOneCheckListener {
    /**
     * 单选点击获取item信息
     */
    fun itemClick(bean: List<OptionsBean>?, question: QuestionsBean)

    /**
     * 多选确定按钮点击
     */
    fun moreDefineItemClick(list: List<OptionsBean>?, question: QuestionsBean)

    /**
     * 展示其他
     */
    fun showOtherEdit(list: List<OptionsBean?>?, question: QuestionsBean)

    /**
     * 隐藏其他
     */
    fun hideOtherEdit()
}